package main

import (
	"github.com/go-redis/redis/v7"

	"lc/common/util"
)

var redisCltRawData *redis.Client

func InitRedis(conf *util.RedisConfig) bool {
	var err error
	redisCltRawData, err = util.NewRedisClient(conf, util.REDIS_DBIDX_RAWDATA)
	if err != nil {
		return false
	}
	return true
}

func DestroyRedis() {
	if redisCltRawData != nil {
		err := redisCltRawData.Close()
		if err != nil {
			return
		}
	}
}
